Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.TextElideMode

    java.lang.Object
      java.lang.Enum<Qt.TextElideMode>
          com.trolltech.qt.core.Qt.TextElideMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.TextElideMode>

Enclosing interface:
  Qt

    public static enum Qt.TextElideMode

extends java.lang.Enum<Qt.TextElideMode>
implements QtEnumerator

This enum specifies where the ellipsis should appear when displaying texts that don't fit.

Constant | Value | Description
--- | --- | ---
`ElideLeft` | `0` | The ellipsis should appear at the beginning of the text.
`ElideRight` | `1` | The ellipsis should appear at the end of the text.
`ElideMiddle` | `2` | The ellipsis should appear in the middle of the text.
`ElideNone` | `3` | Ellipsis should NOT appear in the text.

Qt::ElideMiddle is normally the most appropriate choice for URLs (e.g., "http://www.troll...ovingto/beijing/"), whereas Qt::ElideRight is appropriate for other strings (e.g., "Deploying Applications on Ma...").

See Also:
  `QAbstractItemView::textElideMode`, `QFontMetrics::elidedText`, `AlignmentFlag`, `QTabBar::elideMode`

Enum Constant Summary
`ElideLeft` The ellipsis should appear at the beginning of the text.
`ElideMiddle` The ellipsis should appear in the middle of the text.
`ElideNone` Ellipsis should NOT appear in the text.
`ElideRight` The ellipsis should appear at the end of the text.

Method Summary
`static Qt.TextElideMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.TextElideMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.TextElideMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ElideLeft

    public static final Qt.TextElideMode ElideLeft

  The ellipsis should appear at the beginning of the text.

### ElideRight

    public static final Qt.TextElideMode ElideRight

  The ellipsis should appear at the end of the text.

### ElideMiddle

    public static final Qt.TextElideMode ElideMiddle

  The ellipsis should appear in the middle of the text.

### ElideNone

    public static final Qt.TextElideMode ElideNone

  Ellipsis should NOT appear in the text.

Method Detail

### values

    public static final Qt.TextElideMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.TextElideMode c : Qt.TextElideMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.TextElideMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.TextElideMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD